aboutsummaryrefslogtreecommitdiff
path: root/test/lint/lint-spelling.sh
diff options
context:
space:
mode:
authorGleb Naumenko <naumenko.gs@gmail.com>2020-02-18 17:45:02 -0500
committerfanquake <fanquake@gmail.com>2021-10-21 09:38:55 +0800
commit0659f12b131fc5915fe7a493306af197f4fb838b (patch)
tree9d159bc034b5959d4ddf714df3298b51d4c937c8 /test/lint/lint-spelling.sh
parent0eb7928ab8d9dcb840e4965bfa81deb752b00dfa (diff)
downloadbitcoin-0659f12b131fc5915fe7a493306af197f4fb838b.tar.xz
Add minisketch dependency
Diffstat (limited to 'test/lint/lint-spelling.sh')
-rwxr-xr-xtest/lint/lint-spelling.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/lint-spelling.sh b/test/lint/lint-spelling.sh
index 111091b7f8..8eefa8f2ce 100755
--- a/test/lint/lint-spelling.sh
+++ b/test/lint/lint-spelling.sh
@@ -15,6 +15,6 @@ if ! command -v codespell > /dev/null; then
fi
IGNORE_WORDS_FILE=test/lint/lint-spelling.ignore-words.txt
-if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/crc32c/" ":(exclude)src/qt/locale/" ":(exclude)src/qt/*.qrc" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/" ":(exclude)contrib/builder-keys/keys.txt" ":(exclude)contrib/guix/patches"); then
+if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/crc32c/" ":(exclude)src/qt/locale/" ":(exclude)src/qt/*.qrc" ":(exclude)src/secp256k1/" ":(exclude)src/minisketch/" ":(exclude)src/univalue/" ":(exclude)contrib/builder-keys/keys.txt" ":(exclude)contrib/guix/patches"); then
echo "^ Warning: codespell identified likely spelling errors. Any false positives? Add them to the list of ignored words in ${IGNORE_WORDS_FILE}"
fi